import { Component, OnInit, Input } from '@angular/core';
import { FilterSelectorsService} from './filter-selectors.service'
import { tap } from 'rxjs/operators';
import {MatDialog,MAT_DIALOG_DATA } from '@angular/material';
import {HostSettingComponent} from './host-setting.component';

@Component({
  selector: 'lib-filter-selectors',
  templateUrl: './filter-selectors.component.html',
  styleUrls: ['./filter-selectors.component.scss',]
})
export class FilterSelectorsComponent implements OnInit {
  @Input() scheduleId:number;
  result:any;
  @Input() test:boolean;
  @Input() prefix:string;
  @Input() postfix:string;
  constructor(
    private api:FilterSelectorsService,
    private dialog:MatDialog
  ) { }

  ngOnInit() {
  }


  openHostSetting(){
    let dialogRef = this.dialog.open(HostSettingComponent,{
      data:{
        host: localStorage.getItem('host'),
        prefix:this.prefix,
        postfix :this.postfix
      }
    })

    dialogRef.afterClosed().subscribe(result => {
      if(result){
        localStorage.setItem('host',result);
        if(localStorage.getItem('host') == 'vbn-patrick:7070' || localStorage.getItem('host') == "vbn-patrick.vanbelle.local:7070"){
          this.test = true;
        }else{
          this.test = false;
        }
      }
    })
  }
}
