import { Component, OnInit ,Optional,Inject, Input} from '@angular/core';
import { MatDialog, MAT_DIALOG_DATA,MatDialogRef } from '@angular/material';
import {FilterSelectorsService} from './filter-selectors.service';



@Component({
  selector: 'app-host-setting',
  templateUrl: './host-setting.component.html',
  styleUrls: ['./host-setting.component.scss']
})
export class HostSettingComponent implements OnInit {
  // host:string;
  result: string;
  invalide: Boolean = true;
  prefix:string;
  postfix:string;
  host:string;
  constructor(
    private dialog: MatDialog,
    @Optional() public dialogRef: MatDialogRef<HostSettingComponent>,
    @Optional() @Inject(MAT_DIALOG_DATA) public data: any,
    private selectorService: FilterSelectorsService,
  ) { }

  ngOnInit() {
    this.result = null;
    this.host = this.data.host;
    this.prefix = this.data.prefix;
    this.postfix = this.data.postfix;
    console.log(this.host,this.prefix,this.postfix)
  }


  setDisabled(){
    this.invalide = true;
    this.result = null;
  }


  testHost(){
    console.log(this.host)
    this.selectorService.testList(this.data.prefix,this.host,this.data.postfix).subscribe(data => 
    {
      this.invalide = false;
      this.result = 'host works'
    },
    error =>{
      console.log(error.message)
      this.invalide = true;
      this.result = 'host invalide'
    },()=>{
      // when complete
    }
    
      )
  }
  

closeDialog(){
    this.dialogRef.close({host:this.data})
  }

}
